# Class ResqueAuthentication < Object

- config/initializers/4_resque.rb

Methods

C
  - call
N
  - new

Class Public methods
new(app) Link

Source: show

    # File config/initializers/4_resque.rb, line 14
    def initialize(app)
      @app = app
    end

Instance Public methods
call(env) Link

Source: show

    # File config/initializers/4_resque.rb, line 18
    def call(env)
      account = env['warden'].authenticate!(:database_authenticatable, :rememberable, scope: :user)
      raise "Access denied" if !account.admin?
      @app.call(env)
    end